mixed-port: 7890
allow-lan: false
mode: rule
log-level: info
ipv6: true

dns:
  enable: true
  ipv6: true
  enhanced-mode: fake-ip
  nameserver:
    - https://1.1.1.1/dns-query
    - https://8.8.8.8/dns-query

proxies:
  - name: "Trojan测试-trojan-test"
    type: "trojan"
    server: "23.95.170.171"
    port: 4476
    password: "gn9bmt8nXvDkLKi9N-znRg"
    udp: true
    network: "tcp"
    tls: true
    sni: "23.95.170.171"
    skip-cert-verify: true
    alpn:
      - "http/1.1"

proxy-groups:
  - name: "Proxy"
    type: "select"
    proxies:
      - "Trojan测试-trojan-test"
      - "DIRECT"
  - name: "Auto"
    type: "url-test"
    url: "http://www.gstatic.com/generate_204"
    interval: 300
    tolerance: 50
    proxies:
      - "Trojan测试-trojan-test"

rules:
  - IP-CIDR,23.95.170.171/32,DIRECT,no-resolve
  - IP-CIDR,192.168.0.0/16,DIRECT,no-resolve
  - IP-CIDR,10.0.0.0/8,DIRECT,no-resolve
  - IP-CIDR,172.16.0.0/12,DIRECT,no-resolve
  - GEOIP,CN,DIRECT,no-resolve
  - GEOSITE,CN,DIRECT
  - MATCH,Proxy
